# The Kalzium solver needs OCaml with native compilation support (ocamlopt) and
# ocaml-facile.
%if 0%{?fedora} > 8
%ifarch alpha %{ix86} ia64 x86_64 ppc ppc64 sparc sparcv9
%define with_facile 1
%endif
%endif
%if 0%{?fedora} == 8
%ifarch alpha %{ix86} ia64 x86_64 ppc sparc sparcv9
%define with_facile 1
%endif
%endif

Name:    kdeedu
Summary: Educational/Edutainment applications 
Version: 4.0.3
Release: 3%{?dist}

License: GPLv2
Group:	 Amusements/Games
URL:     http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdeedu-%{version}.tar.bz2
# fix cfitsio detection by adding another hardcoded directory
# (cfitsio.pc is broken in the Fedora cfitsio package, #436539)
Patch1:  kdeedu-4.0.2-cfitsio.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# http://bugzilla.redhat.com/371121
Obsoletes: kalgebra < 1:0.7-7
Provides:  kalgebra = 1:0.7-7

# http://bugzilla.redhat.com/394011
Obsoletes: marble < 1:0.5.1-1
Provides:  marble = 1:0.5.1-1

Obsoletes: kdeedu4 < %{version}-%{release}
Provides:  kdeedu4 = %{version}-%{release}

# Kig can optionally use Boost.Python for Python scripting
BuildRequires: boost-devel
# CFITSIO Library is needed by KStars for many INDI drivers & for KStars FITS Viewer.
BuildRequires: cfitsio-devel
BuildRequires: cmake 
BuildRequires: desktop-file-utils
BuildRequires: eigen-devel
BuildRequires: giflib-devel
BuildRequires: gpsd-devel
BuildRequires: kdelibs4-devel >= %{version}
# for macros.kde4
BuildRequires: kde-filesystem
BuildRequires: libnova-devel
BuildRequires: libusb-devel
%if 0%{?with_facile}
BuildRequires: ocaml(compiler)
BuildRequires: ocaml-facile-devel
%endif
BuildRequires: openbabel-devel
BuildRequires: pcre-devel
BuildRequires: python-devel python
BuildRequires: readline-devel
## BR's FIXME/TODO:
#+ libsbigudrv, 1.00: SBIG Universal Driver is needed by KStars <http://indi.sourceforge.net/>

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires(post): xdg-utils
Requires(postun): xdg-utils

%description
Educational/Edutainment applications:
* blinken: Simon Says Game
* kalgebra: MathML-based graph calculator
* kbruch: Exercise Fractions
* kgeography: Geography Trainer
* khangman: Hangman Game
* kig: Interactive Geometry
* kiten: Japanese Reference/Study Tool
* klettres: French alphabet tutor
* kmplot: Mathematical Function Plotter
* kpercentage: Excersie Percentages
* kstars: Desktop Planetarium
* ktouch: Touch Typing Tutor
* kturtle: Logo Programming Environment
* kvoctrain: Vocabulary Trainer
* kwordquiz: Vocabulary Trainer
* marble: Virtual Globe

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Developer files for %{name} 
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: kdeedu4-devel < %{version}-%{release}
Provides:  kdeedu4-devel = %{version}-%{release}
# http://bugzilla.redhat.com/394011
Obsoletes: marble-devel < 1:0.5.1-1
Provides:  marble-devel = 1:0.5.1-1
Requires: kdelibs4-devel
Requires: giflib-devel
Requires: pcre-devel
%description devel
%{name}.


%prep
%setup -q -n kdeedu-%{version}
%patch1 -p1 -b .cfitsio


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

# smp build busted?
make -C %{_target_platform} VERBOSE=1


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}


%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun 
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_bindir}/*
%{_kde4_appsdir}/*
%{_kde4_configdir}/*
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/config.kcfg/*
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_docdir}/HTML/en/*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_libdir}/kde4/*
%{_kde4_libdir}/avogadro-kalzium/
%{_datadir}/dbus-1/interfaces/*

%files libs 
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%{_includedir}/marble/
%{_kde4_libdir}/lib*.so
%{_kde4_libdir}/libhtmesh.a


%changelog
* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- rebuild for NDEBUG and _kde4_libexecdir

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3
- drop kdeedu-4.0.2-openbabel.patch, it's included in new version

* Wed Mar 26 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-6
- bump marble Provides/Obsoletes

* Fri Mar 21 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-5
- BR ocaml(compiler) and ocaml-facile-devel (for Kalzium)

* Wed Mar 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-4
- add BR eigen-devel (for Kalzium)
- update file list (add avogadro-kalzium files)

* Fri Mar 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-3
- fix cfitsio detection by adding another hardcoded directory

* Fri Mar 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-2
- reenable BR openbabel-devel, fix build with it
- add BR gpsd-devel (for marble), libnova-devel (for KStars)

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- 4.0.1

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-2
- respun tarball

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-1
- kde-4.0.0

* Fri Dec 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-4
- -devel: Obsoletes: marble-devel (#394011)

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-3
- list marble headers separately as they are in %%{_includedir}

* Tue Dec 11 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-2
- rebuild for changed _kde4_includedir

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-1
- kde-3.97.0

* Thu Nov 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.2-1
- kde-3.96.2

* Tue Nov 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.1-2
- kde-3.96.1

* Wed Nov 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-3
- Obsoletes/Provides: marble (#394011)

* Thu Nov 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-2
- unpackaged files

* Thu Nov 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-1
- kde-3.96.0

* Fri Nov 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.2-1
- kdeedu-3.95.2 
- resume ppc, ppc64 builds (#370771)

* Wed Nov 07 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.0-4
- ExcludeArch: ppc ppc64 (#370771)

* Wed Nov 07 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.0-2
- Obsoletes/Provides: kalgebra (#371121)

* Mon Nov 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.0-1
- kdeedu-3.95 (kde-4-beta4)

* Fri Nov 02 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.94.0-2
- drop ocaml support (for now)

* Wed Oct 31 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.94.0-1
- kdeedu-3.94 (kde-4-beta3)
- drop multilib hacks

* Tue Oct 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.8-3
- -libs: Obsoletes: %%name ... to help out multilib upgrades

* Wed Oct 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.8-2
- -libs conditional (f8+)
- %%post/%%postun libs /sbin/ldconfig

* Sat Oct 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.8-1
- kde-3.5.8
- License: GPLv2
- libs subpkg (more multilib friendly)

* Fri Aug 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-2
- respin for boost abi change

* Mon Jun 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-1
- 3.5.7

* Tue Mar 06 2007 Than Ngo <than@redhat.com> - 3.5.6-2.fc7
- cleanup

* Wed Feb 07 2007 Than Ngo <than@redhat.com> 3.5.6-1.fc7
- 3.5.6

* Thu Dec 14 2006 Karsten Hopp <karsten@redhat.com> 3.5.4-2
- fix automake version check

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 3.5.4-1
- rebuild

* Mon Jul 24 2006 Than Ngo <than@redhat.com> 3.5.4-0.pre1
- prerelease of 3.5.4 (from the first-cut tag)

* Fri Jul 14 2006 Than Ngo <than@redhat.com> 3.5.3-2
- BR: autoconf automake libtool

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.5.3-1.1
- rebuild

* Sat Jun 03 2006 Than Ngo <than@redhat.com> 3.5.3-1
- update to 3.5.3

* Wed Apr 05 2006 Than Ngo <than@redhat.com> 3.5.2-1
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Feb 04 2006 Than Ngo <than@redhat.com> 3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 29 2005 Than Ngo <than@redhat.com> 3.5.0-1
- 3.5 final

* Fri Nov 11 2005 Than Ngo <than@redhat.com> 3.4.92-2
- fix #172887 

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 3.4.92-1
- update to 3.5 beta2

* Thu Oct 06 2005 Than Ngo <than@redhat.com> 3.4.91-1
- update to 3.5 beta 1

* Wed Sep 21 2005 Than Ngo <than@redhat.com> 3.4.2-3
- fix uic build problem

* Wed Aug 24 2005 Than Ngo <than@redhat.com> 3.4.2-2
- rebuilt against boost-1.33

* Wed Aug 10 2005 Than Ngo <than@redhat.com> 3.4.2-1
- update to 3.4.2

* Mon Jul 18 2005 Than Ngo <than@redhat.com> 3.4.1-2
- enable python-scripting #157961

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 3.4.1-1
- 3.4.1
- fix gcc4 build problem

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 3.4.0-1
- 3.4.0

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.2
- rebuilt against gcc-4.0.0-0.31

* Tue Mar 01 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.1 
- 3.4.0 rc1

* Wed Feb 16 2005 Than Ngo <than@redhat.com> 3.3.92-0.1
- KDE-3.4 Beta2

* Wed Feb 09 2005 Than Ngo <than@redhat.com> 3.3.2-0.2
- replace kgeo (#142367)

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 3.3.2-0.1
- update to 3.3.2

* Mon Oct 18 2004 Than Ngo <than@redhat.com> 3.3.1-2
- rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 3.3.1-1
- update to 3.3.1 release

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0 release

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 3.2.3-1
- update to 3.2.3

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 3.2.2-2
- fix some broken code

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 3.2.2-1
- update to 3.2.2

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 3.2.1-1
- 3.2.1

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Than Ngo <than@redhat.com> 3.2.0-1.5
- gcc 3.4 build problem

* Thu Feb 19 2004 Than Ngo <than@redhat.com> 3.2.0-1.4
- add missing ldconfig in post/postun, #116171

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 3.2.0-0.3
- 3.2.0 release
- built against qt 3.3.0

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 3.1.94-0.1
- KDE 3.2 Beta 2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 3.1.93-0.2
- get rid of rpath

* Wed Nov 12 2003 Than Ngo <than@redhat.com> 3.1.93-0.1
- KDE 3.2 Beta1
- cleanup
- remove some unneeded patch files

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 3.1.4-1
- 3.1.4

* Thu Aug 21 2003 Than Ngo <than@redhat.com> 3.1.3-2
- fixed build problem with gcc 3.3

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 3.1.3-1
- 3.1.3

* Fri Jul 4 2003 Than Ngo <than@redhat.com> 3.1.2-5
- don't include debug infos in main package (bug #87730)

* Thu Jun 26 2003 Than Ngo <than@redhat.com> 3.1.2-4
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of gcc path from dependency_libs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- remove some unneeded macros

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.5
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.4
- rc6
- removed size_t check
- excluded ia64

* Sun Dec  1 2002 Than Ngo <than@redhat.com> 3.1-0.3
- add missing defattr

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.2
- get rid of sub packages
- desktop issues

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- add fix for building xjdxgen

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problems

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- cleanup specfile

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3

* Fri Aug  9 2002 Than Ngo <than@redhat.com> 3.0.2-3
- desktop file issues
- fixed a bug in install (bug #69414)
 
* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-2
- build using gcc-3.2-0.1

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat May 25 2002 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
